﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFrameworks>net48;net6.0;net8.0</TargetFrameworks>
    <RootNamespace>Tecan.Sila2.IntegrationTests</RootNamespace>
  </PropertyGroup>

  <PropertyGroup>
    <OutputPath>..\..\Build\Test\TestServer</OutputPath>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="TestServer.sila.xml" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="TestServer.sila.xml" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Properties\" />
    <Folder Include="TestServer\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Client\Client.csproj" />
    <ProjectReference Include="..\..\Contracts\Contracts.csproj" />
    <ProjectReference Include="..\..\DynamicClient\DynamicClient.csproj" />
    <ProjectReference Include="..\..\Features\Authentication\Authentication.csproj" />
    <ProjectReference Include="..\..\Features\Cancellation\Cancellation.csproj" />
    <ProjectReference Include="..\..\Features\Locking\Locking.csproj" />
    <ProjectReference Include="..\..\Framework\Framework.csproj" />
    <ProjectReference Include="..\..\Server\Server.csproj" />
  </ItemGroup>

</Project>
